Util
Utility
Check if the provided wallet address was used in the Fonbnk system
Authorizations
x-client-idstringRequired
Your client ID
Body
addressstringRequiredExample:
0xdfce2eff134a643953661ed8306145e8023d8f3fResponses
200
Address usage status
application/json
usedbooleanOptionalExample:
truepost/api/util/check-address
POST /api/util/check-address HTTP/1.1
Host: sandbox-api.fonbnk.com
x-client-id: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 56
{
"address": "0xdfce2eff134a643953661ed8306145e8023d8f3f"
}200
Address usage status
{
"used": true
}Returns a list of supported countries with KYC rules depends on order amount
Authorizations
x-client-idstringRequired
Your client ID
Responses
200
Successful response
application/json
countryIsoCodestringOptional
ISO code of the country, e.g. NG for Nigeria, KE for Kenya
currencyIsoCodestringOptional
ISO code of the local currency, e.g. NGN for Nigerian Naira, KES for Kenyan Shilling
namestringOptional
Name of the country, e.g. Nigeria, Kenya
get/api/util/countries
GET /api/util/countries HTTP/1.1
Host: sandbox-api.fonbnk.com
x-client-id: YOUR_API_KEY
Accept: */*
200
Successful response
[
{
"countryIsoCode": "NG",
"currencyIsoCode": "NGN",
"name": "Nigeria",
"basicDocuments": [
{
"type": "basic",
"title": "National ID",
"value": "national_id",
"requiredFields": {
"firstName": {
"type": "string",
"label": "First Name",
"required": true
},
"lastName": {
"type": "string",
"label": "Last Name",
"required": true
},
"dateOfBirth": {
"type": "date",
"label": "Date of Birth",
"required": true
}
}
},
{
"type": "basic",
"title": "Passport",
"value": "passport",
"requiredFields": {
"firstName": {
"type": "string",
"label": "First Name",
"required": true
},
"lastName": {
"type": "string",
"label": "Last Name",
"required": true
},
"dateOfBirth": {
"type": "date",
"label": "Date of Birth",
"required": true
}
}
}
],
"advancedDocuments": [
{
"type": "advanced",
"title": "Driver's License",
"value": "drivers_license",
"requiredFields": {
"firstName": {
"type": "string",
"label": "First Name",
"required": true
},
"lastName": {
"type": "string",
"label": "Last Name",
"required": true
},
"dateOfBirth": {
"type": "date",
"label": "Date of Birth",
"required": true
}
}
}
],
"kycRules": {
"onramp": [
{
"min": 0,
"max": 100,
"type": "basic"
},
{
"min": 100,
"max": 500,
"type": "advanced"
}
],
"offramp": [
{
"min": 0,
"max": 100,
"type": "basic"
},
{
"min": 100,
"max": 500,
"type": "advanced"
}
]
}
},
{
"countryIsoCode": "KE",
"currencyIsoCode": "KES",
"name": "Kenya",
"basicDocuments": [
{
"type": "basic",
"title": "National ID",
"value": "national_id",
"requiredFields": {
"firstName": {
"type": "string",
"label": "First Name",
"required": true
},
"lastName": {
"type": "string",
"label": "Last Name",
"required": true
},
"dateOfBirth": {
"type": "date",
"label": "Date of Birth",
"required": true
}
}
}
],
"kycRules": {
"onramp": [
{
"min": 0,
"max": 500,
"type": "basic"
}
],
"offramp": [
{
"min": 0,
"max": 500,
"type": "basic"
}
]
}
}
]Returns a list of supported carriers
Authorizations
x-client-idstringRequired
Your client ID
Responses
200
Successful response
application/json
countryIsoCodestringOptional
ISO code of the country, e.g. NG for Nigeria, KE for Kenya
get/api/util/carriers
GET /api/util/carriers HTTP/1.1
Host: sandbox-api.fonbnk.com
x-client-id: YOUR_API_KEY
Accept: */*
200
Successful response
[
{
"countryIsoCode": "NG",
"carriers": [
{
"name": "MTN Nigeria",
"code": "ng_mtn"
},
{
"name": "Glo Nigeria",
"code": "ng_glo"
}
]
},
{
"countryIsoCode": "KE",
"carriers": [
{
"name": "Safaricom Kenya",
"code": "ke_safaricom"
}
]
}
]Returns a list of supported blockchain assets for the off-ramp and on-ramp
Authorizations
x-client-idstringRequired
Your client ID
Responses
200
Successful response
application/json
networkstring · enumOptionalPossible values:
assetstring · enumOptionalPossible values:
canOnrampbooleanOptional
canOfframpbooleanOptional
get/api/util/assets
GET /api/util/assets HTTP/1.1
Host: sandbox-api.fonbnk.com
x-client-id: YOUR_API_KEY
Accept: */*
200
Successful response
[
{
"network": "POLYGON",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "POLYGON",
"asset": "USDC",
"canOfframp": true,
"canOnramp": true
},
{
"network": "CELO",
"asset": "USDC",
"canOfframp": true,
"canOnramp": true
},
{
"network": "ETHEREUM",
"asset": "USDC",
"canOfframp": true,
"canOnramp": true
},
{
"network": "BASE",
"asset": "USDC",
"canOfframp": true,
"canOnramp": true
},
{
"network": "AVALANCHE",
"asset": "USDC",
"canOfframp": true,
"canOnramp": true
},
{
"network": "POLYGON",
"asset": "USDC_E",
"canOfframp": false,
"canOnramp": true
},
{
"network": "ALGORAND",
"asset": "USDC",
"canOfframp": false,
"canOnramp": false
},
{
"network": "SOLANA",
"asset": "USDC",
"canOfframp": false,
"canOnramp": true
},
{
"network": "OPTIMISM",
"asset": "USDC",
"canOfframp": false,
"canOnramp": true
},
{
"network": "NEAR",
"asset": "USDC",
"canOfframp": false,
"canOnramp": false
},
{
"network": "CELO",
"asset": "CUSD",
"canOfframp": true,
"canOnramp": true
},
{
"network": "POLYGON",
"asset": "USDGLO",
"canOfframp": false,
"canOnramp": false
},
{
"network": "POLYGON",
"asset": "USDT",
"canOfframp": true,
"canOnramp": true
},
{
"network": "TRON",
"asset": "USDT",
"canOfframp": true,
"canOnramp": true
},
{
"network": "TRON",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "AVALANCHE",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "CELO",
"asset": "USDGLO",
"canOfframp": false,
"canOnramp": false
},
{
"network": "AVALANCHE",
"asset": "USDT",
"canOfframp": true,
"canOnramp": true
},
{
"network": "CELO",
"asset": "USDT",
"canOfframp": true,
"canOnramp": true
},
{
"network": "CELO",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "ETHEREUM",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "ETHEREUM",
"asset": "USDT",
"canOfframp": true,
"canOnramp": true
},
{
"network": "AVALANCHE",
"asset": "USDC_E",
"canOfframp": false,
"canOnramp": false
},
{
"network": "TON",
"asset": "USDT",
"canOfframp": true,
"canOnramp": true
},
{
"network": "TON",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "BASE",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "STELLAR",
"asset": "USDC",
"canOfframp": false,
"canOnramp": true
},
{
"network": "STELLAR",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "SOLANA",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "SOLANA",
"asset": "USDT",
"canOfframp": false,
"canOnramp": true
},
{
"network": "OPTIMISM",
"asset": "USDT",
"canOfframp": false,
"canOnramp": true
},
{
"network": "CELO",
"asset": "CKES",
"canOfframp": true,
"canOnramp": true
},
{
"network": "CELO",
"asset": "CGHS",
"canOfframp": true,
"canOnramp": true
},
{
"network": "LISK",
"asset": "USDT",
"canOfframp": false,
"canOnramp": true
},
{
"network": "LISK",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "OPTIMISM",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "BNB",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "BNB",
"asset": "USDT",
"canOfframp": false,
"canOnramp": true
},
{
"network": "BNB",
"asset": "USDC",
"canOfframp": false,
"canOnramp": true
},
{
"network": "ARBITRUM",
"asset": "NATIVE",
"canOfframp": false,
"canOnramp": false
},
{
"network": "ARBITRUM",
"asset": "USDT",
"canOfframp": false,
"canOnramp": true
},
{
"network": "ARBITRUM",
"asset": "USDC",
"canOfframp": false,
"canOnramp": true
}
]Last updated

